サポート » プラグイン » プロキシ設定後にplugin-install.php on line 177エラー

  • プロキシ経由のインターネット接続環境にてWordpressを構築しています。
    WPからのインターネット接続を確立するためwp-config、class-snoopyの2ファイルにプロキシ設定を行ったところ、下記エラーが表示され接続が出来ない状態です。

    Warning: 予期しないエラーが発生しました。WordPress.org かこのサーバーの設定に何か問題があるかもしれません。問題が続くようであれば、サポートフォーラムを参照してみてください。 (WordPress は WordPress.org との安全な接続を確立できませんでした。サーバー管理者にご連絡ください) in C:\www\wordpress\wp-admin\includes\plugin-install.php on line 177

    plugin-install.phpについてはインストール後既定のまま変更していません。
    解決法があればご教授お願いいたします。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック投稿者 oyokomizo

    (@oyokomizo)

    サイトヘルスページでは以下文でwordpress.orgへの接続エラーが表示されていました。

    Error Your site is unable to reach WordPress.org at api.wordpress.org, and returned the error: stream_socket_client(): Unable to connect to http://ユーザー名:パスワード@サーバー名:86 (Unable to find the socket transport “http” – did you forget to enable it when you configured PHP?)

    WPからのインターネット接続を確立するためということですが、インターネット接続が確率されて WordPress がアップデートされると、class-snoopy.php への変更は元に戻ってしまうと思います。
    class-snoopy.php の変更が必要なのは、WordPress 2.7 までのようです。
    WordPress 2.8 以降はそのような必要はないとのことです。
    https://wpengineer.com/1227/wordpress-proxysupport/

    公式ドキュメント:https://developer.wordpress.org/reference/classes/wp_http_proxy/

    また、もし実施された改変でプロキシ経由の接続が可能なはずなのであれば、プロキシのログを見ればなぜ遮断されているのかが分かるのではないでしょうか。

    トピック投稿者 oyokomizo

    (@oyokomizo)

    現verだとclass-snoopy.phpの変更は不要なのですね。
    プロキシサーバー側のログを確認してみます。

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • トピック「プロキシ設定後にplugin-install.php on line 177エラー」には新たに返信することはできません。